
package fonctions ;

/**
 * Cette interface gère les fonctions qui représentent les équations différentielles.
 * Il fait partie du package fonctions.
 */

public interface Fonction {

    /**
     * Méthode virtuelle pure renvoyant la dimension des vecteurs manipulés par la fonction.
     */
    
    public int getDim() ;

    /**
     * Méthode virtuelle pure représentant la fonction.
     * @param x Tableau argument de la fonction.
     * @return Tableau représentant le vecteur résultat de la fonction.
     */
    
    public double[] f(double[] x) ;
}

