package integrateur ;

/**
 * Contient des méthodes diverses utiles au package integrateur.
 */
public class MinMax{
	
	/**
	 * Renvoie le maximum d'un tableau de double.
	 * @param X Tableau d'entrée
	 * @return Maximum du tableau
	 */
    public static double maximum(double[] X){
        int n = X.length ;
        double max = X[0] ;

        for(int i=1 ; i<n ; i++){
            if(X[i] > max){
                max = X[i] ;
            }
        }
        
        return max ;
    }

	/**
	 * Renvoie le minimum d'un tableau de double.
	 * @param X Tableau d'entrée
	 * @return Minimum du tableau
	 */
    public static double minimum(double[] X){
        int n = X.length ;
        double min = X[0] ;

        for(int i=1 ; i<n ; i++){
            if(X[i] < min){
                min = X[i] ;
            }
        }
        
        return min ;
    }

	/**
	 * Renvoie l'indice du maximum d'un tableau de double.
	 * @param X Tableau d'entrée
	 * @return Indice du maximum du tableau
	 */
    public static int getmaxindex(double[] X){
        int imax = 0, n = X.length ;
        double max = X[0] ;

        for(int i=1 ; i<n ; i++){
            if(X[i] > max){
                max = X[i] ;
                imax = i ;
            }
        }
        
        return imax ;
    }

	/**
	 * Renvoie l'indice du minimum d'un tableau de double.
	 * @param X Tableau d'entrée
	 * @return Indice du minimum du tableau
	 */
    public static int getminindex(double[] X){
        int imin = 0, n = X.length ;
        double min = X[0] ;

        for(int i=1 ; i<n ; i++){
            if(X[i] < min){
                min = X[i] ;
                imin = i ;
            }
        }
        
        return imin ;
    }
    
}
