package integrateur ;
import java.lang.Math;

/**
 * Vecteur d'état du système plus général utilisé pour le pas variable.
 */
public class Xgen{
    
	/**
	* Tableau des variables réduites.
	*/
    private double[] X ;
    
	/**
	* Pas de l'intégrateur utilisé pour arriver à cet état.
	*/    
    private double h ;
    
	/**
	* Temps du système.
	*/
    private double t ;
 
	/**
	* Constructeur de la classe par initialisation par un tableau nul.
	* @param n Dimension du tableau de variables réduites.
	* @param h Pas pour arriver à cet état.
	* @param t Temps courant.
	*/    
    public Xgen(int n, double h, double t){
        double[] X = new double[n];
        this.X = X;
        this.h = h;
        this.t = t;
    }
    
    /**
     * Retourne le tableau de variables réduites.
     * @return Tableau de variables réduites
     */
    public double[] getX(){
        return X ;
    }

    /**
     * Retourne le pas pour arriver à cet état.
     * @return Pas pour arriver à cet état
     */    
    public double geth(){
        return h ;
    }

    /**
     * Retourne le temps courant.
     * @return Temps courant
     */    
    public double gett(){
        return t ;
    }

    /**
     * Modifie le tableau de variables réduites.
     * @param x Tableau de variables réduites à recopier
     */       
    public void setX(double[] x){
        this.X = x ;
    }

    /**
     * Modifie un élément du tableau de variables réduites.
     * @param x Elément à recopier
     * @param i Indice de l'élément à recopier
     */       
	public void setXi(double x, int i){
        this.X[i] = x ;
    }

    /**
     * Modifie le pas pour arriver à cet état.
     * @param x Pas pour arriver à cet état à recopier
     */      
	public void seth(double x){
        this.h = x ;
    }

    /**
     * Modifie le temps courant.
     * @param x Temps courant à recopier
     */     
	public void sett(double x){
        this.t = x ;
    }
    
}